## org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.routineeditor.commonui
Interface ICompositeProvider

All Known Subinterfaces:
  INameCompositeProvider

All Known Implementing Classes:
  FullNameCompositeProvider, NameCompositeProvider, ParametersTableProvider, TriggerNameCommentCompositeProvider, TriggerNameCompositeProvider

    public interface ICompositeProvider

This interface will be implemented by components used in the message wizards. VEP is used to construct the UI code, and due to its limitation that a SWT component can only be designed in a direct subclass of java.lang.Object, this interface is used to get the visible part from the class.

Author:
  Hui Cao

Field Summary
`static int` `BORDER` Style constant for bordered behavior (value is 1<<11).
`static int` `GROUP`
`static int` `NONE` Style constant for the basic layout (value is 0).

Method Summary
`org.eclipse.swt.widgets.Composite` `getComposite(org.eclipse.swt.widgets.Composite parent, org.eclipse.ui.forms.widgets.FormToolkit formToolkit, int style)` return the visible part of this section and change the part's parent according to the parameter.

Field Detail

### NONE

    static final int NONE

  Style constant for the basic layout (value is 0).

  See Also:
    Constant Field Values

### GROUP

    static final int GROUP

See Also:
  Constant Field Values

### BORDER

    static final int BORDER

  Style constant for bordered behavior (value is 1<<11).
  Note that this is a HINT.

  Used By:

  - `Control` and subclasses

  See Also:
    Constant Field Values

Method Detail

### getComposite

    org.eclipse.swt.widgets.Composite getComposite(org.eclipse.swt.widgets.Composite parent,
                                                   org.eclipse.ui.forms.widgets.FormToolkit formToolkit,
                                                   int style)

  return the visible part of this section and change the part's parent according to the parameter. The layout of the parent should be GridLayout

  Parameters:
    `parent` - the new parent of the returned object
    `formToolkit` - the form tool kit used to create widgets, could be null
    `style` - style flag to customize the composite
  Returns: